package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProOperlogDAO;
import com.philisense.www.mapper.ProOperlogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProOperlogDAOImpl implements ProOperlogDAO {
        @Autowired
        private ProOperlogMapper proOperlogMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proOperlogMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proOperlogMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proOperlogMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proOperlogMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proOperlogMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proOperlogMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proOperlogMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proOperlogMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proOperlogMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proOperlogMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proOperlogMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proOperlogMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proOperlogMapper.updateBatch(list);
        }
}
